from abaqus import *
from abaqusConstants import *
from viewerModules import *
from driverUtils import executeOnCaeStartup
# ******************************************************************************
odbPath = "Job-Exp.odb"       # path to the ODB file
# ******************************************************************************
executeOnCaeStartup()
o2 = session.openOdb(name=odbPath)
session.viewports['Viewport: 1'].setValues(displayedObject=o2)
odb = session.odbs[odbPath]
xy_result = session.XYDataFromHistory(name='XYData-1', odb=odb, 
    outputVariableName='Spatial displacement (FILTERED): U2_ANTIALIASING PI: CANTILEVER-1 Node 165 in NSET TIP', 
    steps=('Exp', ), )

xy_result = session.XYDataFromHistory(name='XYData-2', odb=odb, 
    outputVariableName='Reaction force (FILTERED): RF2_ANTIALIASING PI: rootAssembly Node 1 in NSET BASE', 
    steps=('Exp', ), )

x0 = session.xyDataObjects['XYData-1']
x1 = session.xyDataObjects['XYData-2']
session.writeXYReport(fileName='abaqus.rpt', xyData=(x0, x1))